## org.eclipse.m2m.atl.adt.ui.text.atl
Class AtlCompletionProposalComparator

    java.lang.Object
      org.eclipse.m2m.atl.adt.ui.text.atl.AtlCompletionProposalComparator

All Implemented Interfaces:
  java.util.Comparator<AtlCompletionProposal>

    public class AtlCompletionProposalComparator

extends java.lang.Object
implements java.util.Comparator<AtlCompletionProposal>

The completion proposals comparator.

Constructor Summary
`AtlCompletionProposalComparator()`

Method Summary
`int` `compare(AtlCompletionProposal o1, AtlCompletionProposal o2)`
`void` `setOrderAlphabetically(boolean order)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.Comparator
`equals`

Constructor Detail

### AtlCompletionProposalComparator

    public AtlCompletionProposalComparator()

Method Detail

### compare

    public int compare(AtlCompletionProposal o1,
                       AtlCompletionProposal o2)

  Specified by:
    `compare` in interface `java.util.Comparator<AtlCompletionProposal>`
  See Also:
    `Comparator.compare(java.lang.Object, java.lang.Object)`

### setOrderAlphabetically

    public void setOrderAlphabetically(boolean order)

Copyright 2007 IBM Corporation and others. All Rights Reserved.